package com.gtiit.shr.common;

import java.util.List;

/**
 * 分页结果类，用于封装分页查询的总记录数和数据行
 */
public class PageResult<T> {
    private Long total;
    private List<T> rows;

    /**
     * 构造函数，初始化总记录数和数据行
     *
     * @param total 总记录数
     * @param rows  数据行列表
     */
    public PageResult(Long total, List<T> rows) {
        this.total = total;
        this.rows = rows;
    }



    /**
     * 获取总记录数
     *
     * @return 总记录数
     */
    public Long getTotal() {
        return this.total;
    }

    /**
     * 设置总记录数
     *
     * @param total 总记录数
     */
    public void setTotal(Long total) {
        this.total = total;
    }

    /**
     * 获取数据行列表
     *
     * @return 数据行列表
     */
    public List<T> getRows() {
        return this.rows;
    }

    /**
     * 设置数据行列表
     *
     * @param rows 数据行列表
     */
    public void setRows(List<T> rows) {
        this.rows = rows;
    }
}
